--------------------------------------------------------------------------------
-- Copyright (c) 1995-2005 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: H.41
--  \   \         Application: netgen
--  /   /         Filename: dffd_translate.vhd
-- /___/   /\     Timestamp: Sat Oct 22 19:24:00 2005
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -rpw 100 -tpw 0 -ar Structure -xon true -w -ofmt vhdl -sim dffd.ngd dffd_translate.vhd 
-- Device	: 3s200ft256-5
-- Input file	: dffd.ngd
-- Output file	: dffd_translate.vhd
-- # of Entities	: 1
-- Design Name	: dffd
-- Xilinx	: F:/Mikrocontroller/Xilinx
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Verification Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity dffd is
  port (
    ISPRX : inout STD_LOGIC; 
    ISPTX : inout STD_LOGIC; 
    UARTRX : inout STD_LOGIC; 
    UARTTX : inout STD_LOGIC; 
    USELECT : in STD_LOGIC := 'X'; 
    AVRRST : in STD_LOGIC := 'X'; 
    AVRTXD0 : inout STD_LOGIC; 
    AVRTXD1 : inout STD_LOGIC; 
    M32RXD : inout STD_LOGIC; 
    M32TXD : inout STD_LOGIC; 
    AVRRXD0 : inout STD_LOGIC; 
    AVRRXD1 : inout STD_LOGIC 
  );
end dffd;

architecture Structure of dffd is
  signal ISPRX_IBUF : STD_LOGIC; 
  signal AVRTXD0_OBUF : STD_LOGIC; 
  signal ISPTX_IBUF : STD_LOGIC; 
  signal UARTRX_IBUF : STD_LOGIC; 
  signal UARTTX_IBUF : STD_LOGIC; 
  signal M32RXD_OBUF : STD_LOGIC; 
  signal M32TXD_OBUF : STD_LOGIC; 
  signal AVRRXD0_OBUF : STD_LOGIC; 
  signal USELECT_IBUF : STD_LOGIC; 
  signal AVRRST_BUFGP : STD_LOGIC; 
  signal AVRRXD1_M32RXD_N0 : STD_LOGIC; 
  signal M32TXD_1 : STD_LOGIC; 
  signal M32RXD_1 : STD_LOGIC; 
  signal AVRRST_BUFGP_IBUFG : STD_LOGIC; 
  signal GSR : STD_LOGIC; 
  signal GTS : STD_LOGIC; 
  signal AVRTXD1_OBUFT_GTS_AND : STD_LOGIC; 
  signal AVRRXD1_OBUFT_GTS_AND : STD_LOGIC; 
  signal M32TXD_OBUF_GTS_TRI : STD_LOGIC; 
  signal AVRRXD0_OBUF_GTS_TRI : STD_LOGIC; 
  signal AVRTXD0_OBUF_GTS_TRI : STD_LOGIC; 
  signal M32RXD_OBUF_GTS_TRI : STD_LOGIC; 
  signal GND : STD_LOGIC; 
  signal NlwInverterSignal_AVRTXD1_OBUFT_GTS_AND_IN0 : STD_LOGIC; 
  signal NlwInverterSignal_AVRTXD1_OBUFT_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AVRRXD1_OBUFT_GTS_AND_IN0 : STD_LOGIC; 
  signal NlwInverterSignal_AVRRXD1_OBUFT_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_M32TXD_OBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_AVRRXD0_OBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_AVRTXD0_OBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_M32RXD_OBUF_GTS_TRI_CTL : STD_LOGIC; 
begin
  AVRRXD0_OBUF_0 : X_BUF
    port map (
      I => AVRRXD0_OBUF,
      O => AVRRXD0_OBUF_GTS_TRI
    );
  M32TXD_OBUF_1 : X_BUF
    port map (
      I => M32TXD_OBUF,
      O => M32TXD_OBUF_GTS_TRI
    );
  M32RXD_2 : X_LATCHE
    generic map(
      INIT => '0'
    )
    port map (
      I => UARTRX_IBUF,
      GE => USELECT_IBUF,
      CLK => AVRRST_BUFGP,
      O => M32RXD_OBUF,
      SET => GND,
      RST => GSR
    );
  M32TXD_3 : X_LATCHE
    generic map(
      INIT => '0'
    )
    port map (
      I => UARTTX_IBUF,
      GE => USELECT_IBUF,
      CLK => AVRRST_BUFGP,
      O => M32TXD_OBUF,
      SET => GND,
      RST => GSR
    );
  AVRTXD1_OBUFT : X_TRI
    port map (
      I => M32TXD_1,
      CTL => AVRTXD1_OBUFT_GTS_AND,
      O => AVRTXD1
    );
  AVRRXD1_OBUFT : X_TRI
    port map (
      I => M32RXD_OBUF,
      CTL => AVRRXD1_OBUFT_GTS_AND,
      O => AVRRXD1
    );
  AVRRXD1_M32RXD_N01_INV_0 : X_INV
    port map (
      I => AVRRST_BUFGP,
      O => AVRRXD1_M32RXD_N0
    );
  AVRRXD01 : X_LUT3
    generic map(
      INIT => X"E4"
    )
    port map (
      ADR0 => AVRRST_BUFGP,
      ADR1 => ISPRX_IBUF,
      ADR2 => UARTRX_IBUF,
      O => AVRRXD0_OBUF
    );
  AVRTXD01 : X_LUT3
    generic map(
      INIT => X"E4"
    )
    port map (
      ADR0 => AVRRST_BUFGP,
      ADR1 => ISPTX_IBUF,
      ADR2 => UARTTX_IBUF,
      O => AVRTXD0_OBUF
    );
  ISPRX_IBUF_4 : X_BUF
    port map (
      I => ISPRX,
      O => ISPRX_IBUF
    );
  ISPTX_IBUF_5 : X_BUF
    port map (
      I => ISPTX,
      O => ISPTX_IBUF
    );
  UARTRX_IBUF_6 : X_BUF
    port map (
      I => UARTRX,
      O => UARTRX_IBUF
    );
  UARTTX_IBUF_7 : X_BUF
    port map (
      I => UARTTX,
      O => UARTTX_IBUF
    );
  USELECT_IBUF_8 : X_BUF
    port map (
      I => USELECT,
      O => USELECT_IBUF
    );
  AVRTXD0_OBUF_9 : X_BUF
    port map (
      I => AVRTXD0_OBUF,
      O => AVRTXD0_OBUF_GTS_TRI
    );
  M32RXD_OBUF_10 : X_BUF
    port map (
      I => M32RXD_1,
      O => M32RXD_OBUF_GTS_TRI
    );
  M32TXD_1_11 : X_LATCHE
    generic map(
      INIT => '0'
    )
    port map (
      I => UARTTX_IBUF,
      GE => USELECT_IBUF,
      CLK => AVRRST_BUFGP,
      O => M32TXD_1,
      SET => GND,
      RST => GSR
    );
  M32RXD_1_12 : X_LATCHE
    generic map(
      INIT => '0'
    )
    port map (
      I => UARTRX_IBUF,
      GE => USELECT_IBUF,
      CLK => AVRRST_BUFGP,
      O => M32RXD_1,
      SET => GND,
      RST => GSR
    );
  AVRRST_BUFGP_BUFG : X_CKBUF
    port map (
      I => AVRRST_BUFGP_IBUFG,
      O => AVRRST_BUFGP
    );
  AVRRST_BUFGP_IBUFG_23 : X_CKBUF
    port map (
      I => AVRRST,
      O => AVRRST_BUFGP_IBUFG
    );
  AVRTXD1_OBUFT_GTS_AND_24 : X_AND2
    port map (
      I0 => NlwInverterSignal_AVRTXD1_OBUFT_GTS_AND_IN0,
      I1 => NlwInverterSignal_AVRTXD1_OBUFT_GTS_AND_IN1,
      O => AVRTXD1_OBUFT_GTS_AND
    );
  AVRRXD1_OBUFT_GTS_AND_25 : X_AND2
    port map (
      I0 => NlwInverterSignal_AVRRXD1_OBUFT_GTS_AND_IN0,
      I1 => NlwInverterSignal_AVRRXD1_OBUFT_GTS_AND_IN1,
      O => AVRRXD1_OBUFT_GTS_AND
    );
  M32TXD_OBUF_GTS_TRI_26 : X_TRI
    port map (
      I => M32TXD_OBUF_GTS_TRI,
      CTL => NlwInverterSignal_M32TXD_OBUF_GTS_TRI_CTL,
      O => M32TXD
    );
  AVRRXD0_OBUF_GTS_TRI_27 : X_TRI
    port map (
      I => AVRRXD0_OBUF_GTS_TRI,
      CTL => NlwInverterSignal_AVRRXD0_OBUF_GTS_TRI_CTL,
      O => AVRRXD0
    );
  AVRTXD0_OBUF_GTS_TRI_28 : X_TRI
    port map (
      I => AVRTXD0_OBUF_GTS_TRI,
      CTL => NlwInverterSignal_AVRTXD0_OBUF_GTS_TRI_CTL,
      O => AVRTXD0
    );
  M32RXD_OBUF_GTS_TRI_29 : X_TRI
    port map (
      I => M32RXD_OBUF_GTS_TRI,
      CTL => NlwInverterSignal_M32RXD_OBUF_GTS_TRI_CTL,
      O => M32RXD
    );
  NlwBlock_dffd_GND : X_ZERO
    port map (
      O => GND
    );
  NlwInverterBlock_AVRTXD1_OBUFT_GTS_AND_IN0 : X_INV
    port map (
      I => AVRRXD1_M32RXD_N0,
      O => NlwInverterSignal_AVRTXD1_OBUFT_GTS_AND_IN0
    );
  NlwInverterBlock_AVRTXD1_OBUFT_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AVRTXD1_OBUFT_GTS_AND_IN1
    );
  NlwInverterBlock_AVRRXD1_OBUFT_GTS_AND_IN0 : X_INV
    port map (
      I => AVRRXD1_M32RXD_N0,
      O => NlwInverterSignal_AVRRXD1_OBUFT_GTS_AND_IN0
    );
  NlwInverterBlock_AVRRXD1_OBUFT_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AVRRXD1_OBUFT_GTS_AND_IN1
    );
  NlwInverterBlock_M32TXD_OBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_M32TXD_OBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_AVRRXD0_OBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AVRRXD0_OBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_AVRTXD0_OBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AVRTXD0_OBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_M32RXD_OBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_M32RXD_OBUF_GTS_TRI_CTL
    );
  NlwBlockROC : X_ROC
    generic map (ROC_WIDTH => 100 ns)
    port map (O => GSR);
  NlwBlockTOC : X_TOC
    port map (O => GTS);

end Structure;

