--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 7.1.03i
--  \   \         Application : ISE WebPACK
--  /   /         Filename : j.vhw
-- /___/   /\     Timestamp : Mon Oct 24 18:39:16 2005
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: 
--Design Name: j
--Device: Xilinx
--

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
USE IEEE.STD_LOGIC_TEXTIO.ALL;
USE STD.TEXTIO.ALL;

ENTITY j IS
END j;

ARCHITECTURE testbench_arch OF j IS
    COMPONENT dffd
        PORT (
            Y : InOut std_logic;
            X : InOut std_logic;
            X0 : InOut std_logic;
            X1 : InOut std_logic;
            Y0 : InOut std_logic;
            Y1 : InOut std_logic;
            ENABLE : In std_logic
        );
    END COMPONENT;

    SIGNAL Y : std_logic := '0';
    SIGNAL X : std_logic := '0';
    SIGNAL X0 : std_logic := '0';
    SIGNAL X1 : std_logic := '0';
    SIGNAL Y0 : std_logic := '0';
    SIGNAL Y1 : std_logic := '0';
    SIGNAL ENABLE : std_logic := '0';

    SHARED VARIABLE TX_ERROR : INTEGER := 0;
    SHARED VARIABLE TX_OUT : LINE;

    BEGIN
        UUT : dffd
        PORT MAP (
            Y => Y,
            X => X,
            X0 => X0,
            X1 => X1,
            Y0 => Y0,
            Y1 => Y1,
            ENABLE => ENABLE
        );

        PROCESS
            BEGIN
                -- -------------  Current Time:  100ns
                WAIT FOR 100 ns;
                -- -------------------------------------
                -- -------------  Current Time:  200ns
                WAIT FOR 100 ns;
                -- -------------------------------------
                -- -------------  Current Time:  300ns
                WAIT FOR 100 ns;
                ENABLE <= '1';
                -- -------------------------------------
                -- -------------  Current Time:  400ns
                WAIT FOR 100 ns;
                -- -------------------------------------
                -- -------------  Current Time:  500ns
                WAIT FOR 100 ns;
                -- -------------------------------------
                -- -------------  Current Time:  600ns
                WAIT FOR 100 ns;
                -- -------------------------------------
                -- -------------  Current Time:  700ns
                WAIT FOR 100 ns;
                WAIT FOR 300 ns;

                IF (TX_ERROR = 0) THEN
                    STD.TEXTIO.write(TX_OUT, string'("No errors or warnings"));
                    ASSERT (FALSE) REPORT
                      "Simulation successful (not a failure).  No problems detected."
                      SEVERITY FAILURE;
                ELSE
                    STD.TEXTIO.write(TX_OUT, TX_ERROR);
                    STD.TEXTIO.write(TX_OUT,
                        string'(" errors found in simulation"));
                    ASSERT (FALSE) REPORT "Errors found during simulation"
                         SEVERITY FAILURE;
                END IF;
            END PROCESS;

    END testbench_arch;

